/************************************************************************  
*   PROGRAMA DE INICIAO CIENTFICA PIBIC/CNPq                         *
*   PROJETO: Desenvolvimento de um simulador de algoritmos qunticos    *
*            utilizando a computao convencional                       *
* --------------------------------------------------------------------- *
*      Bolsista: Anderson de Rezende Rocha - DCC/UFLA                   *
*                   # undersun@comp.ufla.br         (1)                 *
*                   # phiberoptic_br@yahoo.com.br   (2)                 *
* --------------------------------------------------------------------- *
*  Orientadores: Antnio Maria Pereira de Resende                       *
*                   # tonio@comp.ufla.br                                *
*                Antonio Tavares Costa Junior                           *
*                   # antc@stout.ufla.br                                *
*************************************************************************/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class HandlerMenu implements ActionListener
{
	// Referencia ao componente chamando o Handler
	Component componentePai;
	// Referencia ao simulador
	private SAQua refSimulador;

   // Construtor pega o componente pai e o chamador da funo
   // para que se tenha ponteiros para os mesmos
   HandlerMenu(Component cpt, SAQua ref)
   {
      refSimulador = ref;
      componentePai = cpt;
   }

   // Identifica que tipo de interao ouve entre o usurio e o 
   // menu
	public void actionPerformed(ActionEvent e)
	{
		String comando = e.getActionCommand();

		if (comando.equals("Sobre o Desenvolvimento"))
			refSimulador.criarFrameSobre();
		else if (comando.equals("Sair"))
		{
			try
			{
		 		ImageIcon iconeSaida = new ImageIcon(this.getClass().getResource("pics/logoSaquaPeq.png"));
				Object[] opcoes = {"SIM", "NO"};
                int n = JOptionPane.showOptionDialog(componentePai,
                                    "Voc tem certeza que deseja abandonar o SAQua?",
                                    "Confirmao de SADA",
                                    JOptionPane.YES_NO_OPTION,
                                    JOptionPane.QUESTION_MESSAGE,
                                    iconeSaida,
                                    opcoes,
                                    opcoes[0]);
                    if (n == JOptionPane.YES_OPTION) 
					{
						System.exit(0);
                    } 
					else if (n == JOptionPane.NO_OPTION){} 
			}
			catch (Exception ex)
			{
				JOptionPane.showMessageDialog(componentePai, 
								"Opcao disponivel apenas na versao STAND ALONE",
								"AVISO do Sistema", JOptionPane.WARNING_MESSAGE);
			}
			
		}
		else if (comando.equals("Fatorao de Peter Shor"))
		{
			refSimulador.criarFrameShor();
		}
		else if (comando.equals("Transformada de Fourier"))
		{
			refSimulador.criarFrameFourier();
		}
		else if (comando.equals("O Problema de Deutsch"))
		{
			refSimulador.criarFrameDeutsch();
		}
	}
}